Skip to main content
GET
/
v1
/
customers
cURL
curl --request GET \
  --url https://{base_url}/v1/customers \
  --header 'Authorization: <authorization>'
{
  "data": {
    "pagination": {
      "current_page": 1,
      "per_page": 2,
      "total_page": 5,
      "total": 10
    },
    "customers": [
      {
        "customer_id": "03cf276b-a773-4c89-b089-038153eb0dff",
        "type": "BUSINESS",
        "business_name": "Jane Pte Ltd Business",
        "email": "hello.test2@jane.com",
        "phone": "+6591234567",
        "country_of_incorporation": "SGP",
        "customer_status": "INCOMPLETE",
        "tos_policies_url": "https://pipes.tech/orchestration-customer-tos?customer_id=03cf276b-a773-4c89-b089-038153eb0dff&tos_policies_value=8e514056-4172-42d6-bc13-934f72f3a31e",
        "created_at": 1758883022,
        "updated_at": 1758883023
      },
      {
        "customer_id": "a205e63f-97f0-427a-8d4c-653b57b2180f",
        "type": "BUSINESS",
        "business_name": "Jane Pte Ltd Business",
        "email": "hello.test2@jane.com",
        "phone": "+6591234567",
        "country_of_incorporation": "SGP",
        "customer_status": "REINITIATE",
        "tos_policies_url": "https://pipes.tech/orchestration-customer-tos?customer_id=a205e63f-97f0-427a-8d4c-653b57b2180f&tos_policies_value=febaa45f-60b5-4b8c-b304-cb8fa09e4123",
        "created_at": 1758793615,
        "updated_at": 1758797101
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.fin.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint will be deprecated on May 20, 2026. Use List Customers V2 instead.

Headers

Authorization
string
default:Bearer {{client_access_token}}
required

Query Parameters

type
enum<string>
default:INDIVIDUAL
required
Available options:
INDIVIDUAL,
BUSINESS
per_page
number
default:10
required
current_page
number
default:1
required

Response

OK

data
object